# Class ConstantFloat

java.lang.Object
org.apache.tomcat.util.bcel.classfile.Constant
org.apache.tomcat.util.bcel.classfile.ConstantFloat

public final class ConstantFloat extends Constant
This class is derived from the abstract `Constant` and represents a reference to a float object.

See Also:
  - `Constant`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `getBytes()`
  Get the 4-byte float value stored in this constant pool entry.

  ### Methods inherited from class Constant

  `getTag, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getBytes

    public float getBytes()
    Get the 4-byte float value stored in this constant pool entry.
    Returns:
      the float value